source: trunk/third/ORBit2/linc2/test/Makefile.in @ 21310

Revision 21310, 16.9 KB checked in by ghudson, 19 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r21309, which included commits to RCS files with non-trunk default branches.
Line 
1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = ../..
24
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26INSTALL = @INSTALL@
27install_sh_DATA = $(install_sh) -c -m 644
28install_sh_PROGRAM = $(install_sh) -c
29install_sh_SCRIPT = $(install_sh) -c
30INSTALL_HEADER = $(INSTALL_DATA)
31transform = $(program_transform_name)
32NORMAL_INSTALL = :
33PRE_INSTALL = :
34POST_INSTALL = :
35NORMAL_UNINSTALL = :
36PRE_UNINSTALL = :
37POST_UNINSTALL = :
38host_triplet = @host@
39ACLOCAL = @ACLOCAL@
40AMDEP_FALSE = @AMDEP_FALSE@
41AMDEP_TRUE = @AMDEP_TRUE@
42AMTAR = @AMTAR@
43AR = @AR@
44AS = @AS@
45AUTOCONF = @AUTOCONF@
46AUTOHEADER = @AUTOHEADER@
47AUTOMAKE = @AUTOMAKE@
48AWK = @AWK@
49CC = @CC@
50CCDEPMODE = @CCDEPMODE@
51CFLAGS = @CFLAGS@
52CPP = @CPP@
53CPPFLAGS = @CPPFLAGS@
54CXX = @CXX@
55CXXCPP = @CXXCPP@
56CXXDEPMODE = @CXXDEPMODE@
57CXXFLAGS = @CXXFLAGS@
58CYGPATH_W = @CYGPATH_W@
59DEFS = @DEFS@
60DEPDIR = @DEPDIR@
61DISABLE_DEPRECATED_CFLAGS = @DISABLE_DEPRECATED_CFLAGS@
62DLLTOOL = @DLLTOOL@
63ECHO = @ECHO@
64ECHO_C = @ECHO_C@
65ECHO_N = @ECHO_N@
66ECHO_T = @ECHO_T@
67EGREP = @EGREP@
68ENABLE_GTK_DOC_FALSE = @ENABLE_GTK_DOC_FALSE@
69ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
70ENABLE_HTTP_FALSE = @ENABLE_HTTP_FALSE@
71ENABLE_HTTP_TRUE = @ENABLE_HTTP_TRUE@
72EXEEXT = @EXEEXT@
73F77 = @F77@
74FFLAGS = @FFLAGS@
75GLIB_REQUIRED = @GLIB_REQUIRED@
76GTK_DOC_USE_LIBTOOL_FALSE = @GTK_DOC_USE_LIBTOOL_FALSE@
77GTK_DOC_USE_LIBTOOL_TRUE = @GTK_DOC_USE_LIBTOOL_TRUE@
78HAVE_ORBIT_SSL_SUPPORT = @HAVE_ORBIT_SSL_SUPPORT@
79HTML_DIR = @HTML_DIR@
80INSTALL_DATA = @INSTALL_DATA@
81INSTALL_PROGRAM = @INSTALL_PROGRAM@
82INSTALL_SCRIPT = @INSTALL_SCRIPT@
83INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
84LDFLAGS = @LDFLAGS@
85LIBIDL_REQUIRED = @LIBIDL_REQUIRED@
86LIBOBJS = @LIBOBJS@
87LIBS = @LIBS@
88LIBTOOL = @LIBTOOL@
89LINC_CFLAGS = @LINC_CFLAGS@
90LINC_LIBS = @LINC_LIBS@
91LINC_SSL_SUPPORT = @LINC_SSL_SUPPORT@
92LN_S = @LN_S@
93LOCAL_LINC_CFLAGS = @LOCAL_LINC_CFLAGS@
94LOCAL_LINC_LIBS = @LOCAL_LINC_LIBS@
95LTLIBOBJS = @LTLIBOBJS@
96LT_VERSION = @LT_VERSION@
97MAINT = @MAINT@
98MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
99MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
100MAKEINFO = @MAKEINFO@
101OBJDUMP = @OBJDUMP@
102OBJEXT = @OBJEXT@
103ORBIT_ALIGNOF_CORBA_BOOLEAN = @ORBIT_ALIGNOF_CORBA_BOOLEAN@
104ORBIT_ALIGNOF_CORBA_CHAR = @ORBIT_ALIGNOF_CORBA_CHAR@
105ORBIT_ALIGNOF_CORBA_DOUBLE = @ORBIT_ALIGNOF_CORBA_DOUBLE@
106ORBIT_ALIGNOF_CORBA_FLOAT = @ORBIT_ALIGNOF_CORBA_FLOAT@
107ORBIT_ALIGNOF_CORBA_LONG = @ORBIT_ALIGNOF_CORBA_LONG@
108ORBIT_ALIGNOF_CORBA_LONG_DOUBLE = @ORBIT_ALIGNOF_CORBA_LONG_DOUBLE@
109ORBIT_ALIGNOF_CORBA_LONG_LONG = @ORBIT_ALIGNOF_CORBA_LONG_LONG@
110ORBIT_ALIGNOF_CORBA_OCTET = @ORBIT_ALIGNOF_CORBA_OCTET@
111ORBIT_ALIGNOF_CORBA_POINTER = @ORBIT_ALIGNOF_CORBA_POINTER@
112ORBIT_ALIGNOF_CORBA_SHORT = @ORBIT_ALIGNOF_CORBA_SHORT@
113ORBIT_ALIGNOF_CORBA_STRUCT = @ORBIT_ALIGNOF_CORBA_STRUCT@
114ORBIT_ALIGNOF_CORBA_WCHAR = @ORBIT_ALIGNOF_CORBA_WCHAR@
115ORBIT_CFLAGS = @ORBIT_CFLAGS@
116ORBIT_DEBUG_CFLAGS = @ORBIT_DEBUG_CFLAGS@
117ORBIT_IDL_CFLAGS = @ORBIT_IDL_CFLAGS@
118ORBIT_IDL_LIBS = @ORBIT_IDL_LIBS@
119ORBIT_LIBS = @ORBIT_LIBS@
120ORBIT_MAJOR_VERSION = @ORBIT_MAJOR_VERSION@
121ORBIT_MICRO_VERSION = @ORBIT_MICRO_VERSION@
122ORBIT_MINOR_VERSION = @ORBIT_MINOR_VERSION@
123ORBIT_NAME_CFLAGS = @ORBIT_NAME_CFLAGS@
124ORBIT_NAME_LIBS = @ORBIT_NAME_LIBS@
125ORBIT_SERIAL = @ORBIT_SERIAL@
126ORBIT_VERSION = @ORBIT_VERSION@
127OS_WIN32_FALSE = @OS_WIN32_FALSE@
128OS_WIN32_TRUE = @OS_WIN32_TRUE@
129PACKAGE = @PACKAGE@
130PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
131PACKAGE_NAME = @PACKAGE_NAME@
132PACKAGE_STRING = @PACKAGE_STRING@
133PACKAGE_TARNAME = @PACKAGE_TARNAME@
134PACKAGE_VERSION = @PACKAGE_VERSION@
135PATH_SEPARATOR = @PATH_SEPARATOR@
136PKG_CONFIG = @PKG_CONFIG@
137POPT_LIBS = @POPT_LIBS@
138RANLIB = @RANLIB@
139SET_MAKE = @SET_MAKE@
140SHELL = @SHELL@
141SSL_CFLAGS = @SSL_CFLAGS@
142SSL_LIBS = @SSL_LIBS@
143STRIP = @STRIP@
144VERSION = @VERSION@
145WARN_CFLAGS = @WARN_CFLAGS@
146ac_ct_AR = @ac_ct_AR@
147ac_ct_AS = @ac_ct_AS@
148ac_ct_CC = @ac_ct_CC@
149ac_ct_CXX = @ac_ct_CXX@
150ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
151ac_ct_F77 = @ac_ct_F77@
152ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
153ac_ct_RANLIB = @ac_ct_RANLIB@
154ac_ct_STRIP = @ac_ct_STRIP@
155am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
156am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
157am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
158am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
159am__include = @am__include@
160am__leading_dot = @am__leading_dot@
161am__quote = @am__quote@
162bindir = @bindir@
163build = @build@
164build_alias = @build_alias@
165build_cpu = @build_cpu@
166build_os = @build_os@
167build_vendor = @build_vendor@
168datadir = @datadir@
169exec_prefix = @exec_prefix@
170host = @host@
171host_alias = @host_alias@
172host_cpu = @host_cpu@
173host_os = @host_os@
174host_vendor = @host_vendor@
175includedir = @includedir@
176infodir = @infodir@
177install_sh = @install_sh@
178libdir = @libdir@
179libexecdir = @libexecdir@
180localstatedir = @localstatedir@
181mandir = @mandir@
182oldincludedir = @oldincludedir@
183prefix = @prefix@
184program_transform_name = @program_transform_name@
185sbindir = @sbindir@
186sharedstatedir = @sharedstatedir@
187sysconfdir = @sysconfdir@
188target_alias = @target_alias@
189noinst_PROGRAMS = test-linc
190
191#       -I$(top_srcdir)/include
192#       -I$(top_builddir)/include
193INCLUDES = \
194        -I$(top_srcdir)/linc2/include   \
195        -I$(top_builddir)/linc2/include \
196        -I$(top_srcdir)/linc2/src       \
197        $(LINC_CFLAGS)                  \
198        $(WARN_CFLAGS)
199
200
201TESTS = test-linc
202
203test_linc_SOURCES = test-linc.c
204test_linc_LDADD = ../src/liblinc.la $(LINC_LIBS) $(SSL_LIBS)
205subdir = linc2/test
206ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
207mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
208CONFIG_HEADER = $(top_builddir)/config.h
209CONFIG_CLEAN_FILES =
210noinst_PROGRAMS = test-linc$(EXEEXT)
211PROGRAMS = $(noinst_PROGRAMS)
212
213am_test_linc_OBJECTS = test-linc.$(OBJEXT)
214test_linc_OBJECTS = $(am_test_linc_OBJECTS)
215test_linc_DEPENDENCIES = ../src/liblinc.la
216test_linc_LDFLAGS =
217
218DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
219depcomp = $(SHELL) $(top_srcdir)/depcomp
220am__depfiles_maybe = depfiles
221@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/test-linc.Po
222COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
223        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
224LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
225        $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
226CCLD = $(CC)
227LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
228        $(AM_LDFLAGS) $(LDFLAGS) -o $@
229DIST_SOURCES = $(test_linc_SOURCES)
230DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
231SOURCES = $(test_linc_SOURCES)
232
233all: all-am
234
235.SUFFIXES:
236.SUFFIXES: .c .lo .o .obj
237$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
238        cd $(top_srcdir) && \
239          $(AUTOMAKE) --gnu  linc2/test/Makefile
240Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
241        cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
242
243clean-noinstPROGRAMS:
244        @list='$(noinst_PROGRAMS)'; for p in $$list; do \
245          f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
246          echo " rm -f $$p $$f"; \
247          rm -f $$p $$f ; \
248        done
249test-linc$(EXEEXT): $(test_linc_OBJECTS) $(test_linc_DEPENDENCIES)
250        @rm -f test-linc$(EXEEXT)
251        $(LINK) $(test_linc_LDFLAGS) $(test_linc_OBJECTS) $(test_linc_LDADD) $(LIBS)
252
253mostlyclean-compile:
254        -rm -f *.$(OBJEXT) core *.core
255
256distclean-compile:
257        -rm -f *.tab.c
258
259@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-linc.Po@am__quote@
260
261.c.o:
262@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
263@am__fastdepCC_TRUE@      -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
264@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
265@am__fastdepCC_TRUE@    else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
266@am__fastdepCC_TRUE@    fi
267@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
268@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
269@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
270@am__fastdepCC_FALSE@   $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
271
272.c.obj:
273@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
274@am__fastdepCC_TRUE@      -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
275@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
276@am__fastdepCC_TRUE@    else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
277@am__fastdepCC_TRUE@    fi
278@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
279@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
280@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
281@am__fastdepCC_FALSE@   $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
282
283.c.lo:
284@am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
285@am__fastdepCC_TRUE@      -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
286@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
287@am__fastdepCC_TRUE@    else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
288@am__fastdepCC_TRUE@    fi
289@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
290@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
291@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
292@am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
293
294mostlyclean-libtool:
295        -rm -f *.lo
296
297clean-libtool:
298        -rm -rf .libs _libs
299
300distclean-libtool:
301        -rm -f libtool
302uninstall-info-am:
303
304ETAGS = etags
305ETAGSFLAGS =
306
307CTAGS = ctags
308CTAGSFLAGS =
309
310tags: TAGS
311
312ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
313        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
314        unique=`for i in $$list; do \
315            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316          done | \
317          $(AWK) '    { files[$$0] = 1; } \
318               END { for (i in files) print i; }'`; \
319        mkid -fID $$unique
320
321TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
322                $(TAGS_FILES) $(LISP)
323        tags=; \
324        here=`pwd`; \
325        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
326        unique=`for i in $$list; do \
327            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
328          done | \
329          $(AWK) '    { files[$$0] = 1; } \
330               END { for (i in files) print i; }'`; \
331        test -z "$(ETAGS_ARGS)$$tags$$unique" \
332          || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
333             $$tags $$unique
334
335ctags: CTAGS
336CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
337                $(TAGS_FILES) $(LISP)
338        tags=; \
339        here=`pwd`; \
340        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
341        unique=`for i in $$list; do \
342            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
343          done | \
344          $(AWK) '    { files[$$0] = 1; } \
345               END { for (i in files) print i; }'`; \
346        test -z "$(CTAGS_ARGS)$$tags$$unique" \
347          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
348             $$tags $$unique
349
350GTAGS:
351        here=`$(am__cd) $(top_builddir) && pwd` \
352          && cd $(top_srcdir) \
353          && gtags -i $(GTAGS_ARGS) $$here
354
355distclean-tags:
356        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
357
358check-TESTS: $(TESTS)
359        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
360        srcdir=$(srcdir); export srcdir; \
361        list='$(TESTS)'; \
362        if test -n "$$list"; then \
363          for tst in $$list; do \
364            if test -f ./$$tst; then dir=./; \
365            elif test -f $$tst; then dir=; \
366            else dir="$(srcdir)/"; fi; \
367            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
368              all=`expr $$all + 1`; \
369              case " $(XFAIL_TESTS) " in \
370              *" $$tst "*) \
371                xpass=`expr $$xpass + 1`; \
372                failed=`expr $$failed + 1`; \
373                echo "XPASS: $$tst"; \
374              ;; \
375              *) \
376                echo "PASS: $$tst"; \
377              ;; \
378              esac; \
379            elif test $$? -ne 77; then \
380              all=`expr $$all + 1`; \
381              case " $(XFAIL_TESTS) " in \
382              *" $$tst "*) \
383                xfail=`expr $$xfail + 1`; \
384                echo "XFAIL: $$tst"; \
385              ;; \
386              *) \
387                failed=`expr $$failed + 1`; \
388                echo "FAIL: $$tst"; \
389              ;; \
390              esac; \
391            else \
392              skip=`expr $$skip + 1`; \
393              echo "SKIP: $$tst"; \
394            fi; \
395          done; \
396          if test "$$failed" -eq 0; then \
397            if test "$$xfail" -eq 0; then \
398              banner="All $$all tests passed"; \
399            else \
400              banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
401            fi; \
402          else \
403            if test "$$xpass" -eq 0; then \
404              banner="$$failed of $$all tests failed"; \
405            else \
406              banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
407            fi; \
408          fi; \
409          dashes="$$banner"; \
410          skipped=""; \
411          if test "$$skip" -ne 0; then \
412            skipped="($$skip tests were not run)"; \
413            test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
414              dashes="$$skipped"; \
415          fi; \
416          report=""; \
417          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
418            report="Please report to $(PACKAGE_BUGREPORT)"; \
419            test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
420              dashes="$$report"; \
421          fi; \
422          dashes=`echo "$$dashes" | sed s/./=/g`; \
423          echo "$$dashes"; \
424          echo "$$banner"; \
425          test -n "$$skipped" && echo "$$skipped"; \
426          test -n "$$report" && echo "$$report"; \
427          echo "$$dashes"; \
428          test "$$failed" -eq 0; \
429        else :; fi
430DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
431
432top_distdir = ../..
433distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
434
435distdir: $(DISTFILES)
436        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
437        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
438        list='$(DISTFILES)'; for file in $$list; do \
439          case $$file in \
440            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
441            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
442          esac; \
443          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
444          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
445          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
446            dir="/$$dir"; \
447            $(mkinstalldirs) "$(distdir)$$dir"; \
448          else \
449            dir=''; \
450          fi; \
451          if test -d $$d/$$file; then \
452            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
453              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
454            fi; \
455            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
456          else \
457            test -f $(distdir)/$$file \
458            || cp -p $$d/$$file $(distdir)/$$file \
459            || exit 1; \
460          fi; \
461        done
462check-am: all-am
463        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
464check: check-am
465all-am: Makefile $(PROGRAMS)
466
467installdirs:
468install: install-am
469install-exec: install-exec-am
470install-data: install-data-am
471uninstall: uninstall-am
472
473install-am: all-am
474        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
475
476installcheck: installcheck-am
477install-strip:
478        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
479          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
480          `test -z '$(STRIP)' || \
481            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
482mostlyclean-generic:
483
484clean-generic:
485
486distclean-generic:
487        -rm -f $(CONFIG_CLEAN_FILES)
488
489maintainer-clean-generic:
490        @echo "This command is intended for maintainers to use"
491        @echo "it deletes files that may require special tools to rebuild."
492clean: clean-am
493
494clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
495        mostlyclean-am
496
497distclean: distclean-am
498        -rm -rf ./$(DEPDIR)
499        -rm -f Makefile
500distclean-am: clean-am distclean-compile distclean-generic \
501        distclean-libtool distclean-tags
502
503dvi: dvi-am
504
505dvi-am:
506
507info: info-am
508
509info-am:
510
511install-data-am:
512
513install-exec-am:
514
515install-info: install-info-am
516
517install-man:
518
519installcheck-am:
520
521maintainer-clean: maintainer-clean-am
522        -rm -rf ./$(DEPDIR)
523        -rm -f Makefile
524maintainer-clean-am: distclean-am maintainer-clean-generic
525
526mostlyclean: mostlyclean-am
527
528mostlyclean-am: mostlyclean-compile mostlyclean-generic \
529        mostlyclean-libtool
530
531pdf: pdf-am
532
533pdf-am:
534
535ps: ps-am
536
537ps-am:
538
539uninstall-am: uninstall-info-am
540
541.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
542        clean-generic clean-libtool clean-noinstPROGRAMS ctags \
543        distclean distclean-compile distclean-generic distclean-libtool \
544        distclean-tags distdir dvi dvi-am info info-am install \
545        install-am install-data install-data-am install-exec \
546        install-exec-am install-info install-info-am install-man \
547        install-strip installcheck installcheck-am installdirs \
548        maintainer-clean maintainer-clean-generic mostlyclean \
549        mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
550        pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am
551
552# Tell versions [3.59,3.63) of GNU make to not export all variables.
553# Otherwise a system limit (for SysV at least) may be exceeded.
554.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.